replications              package:stats              R Documentation

Number of Replications of Terms

Description:

     Returns a vector or a list of the number of replicates for each
     term in the formula.

Usage:

     replications(formula, data=NULL, na.action)

Arguments:

 formula: a formula or a terms object or a data frame.

    data: a data frame used  to  find  the  objects in 'formula'.

na.action: function for handling missing values.  Defaults to a
          'na.action' attribute of 'data', then a setting of the option
          'na.action', or 'na.fail' if that is not set.

Details:

     If 'formula' is a data frame and 'data' is missing, 'formula' is
     used for 'data' with the formula '~ .'.

Value:

     A vector or list with one entry for each term in the formula
     giving the number(s) of replications for each level. If all levels
     are balanced (have the same number of replications) the result is
     a vector, otherwise it is a list with a component for each terms,
     as a vector, matrix or array as required.

     A test for balance is '!is.list(replications(formula,data))'.

Author(s):

     The design was inspired by the S function of the same name
     described in Chambers _et al._ (1992).

References:

     Chambers, J. M., Freeny, A and Heiberger, R. M. (1992) _Analysis
     of variance; designed experiments._ Chapter 5 of _Statistical
     Models in S_ eds J. M. Chambers and T. J. Hastie, Wadsworth &
     Brooks/Cole.

See Also:

     'model.tables'

Examples:

     ## From Venables and Ripley (2002) p.165.
     N <- c(0,1,0,1,1,1,0,0,0,1,1,0,1,1,0,0,1,0,1,0,1,1,0,0)
     P <- c(1,1,0,0,0,1,0,1,1,1,0,0,0,1,0,1,1,0,0,1,0,1,1,0)
     K <- c(1,0,0,1,0,1,1,0,0,1,0,1,0,1,1,0,0,0,1,1,1,0,1,0)
     yield <- c(49.5,62.8,46.8,57.0,59.8,58.5,55.5,56.0,62.8,55.8,69.5,
     55.0, 62.0,48.8,45.5,44.2,52.0,51.5,49.8,48.8,57.2,59.0,53.2,56.0)

     npk <- data.frame(block=gl(6,4), N=factor(N), P=factor(P),
                       K=factor(K), yield=yield)
     replications(~ . - yield, npk)

